Next: 3.2 Environment variables Up: 3. The onyx program Previous: 3. The onyx program Contents Index

# 3.1 Usage

onyx -h

onyx -V

onyx -e <expr>

onyx [-i <expr>]* [-f <file>]* [-s <expr>]

onyx <file> [<args>]

Option descriptions:

-h:
  Display usage information and exit.
-V:
  Display the version number and exit.
-e <expr>:
  Evaluate <expr> as Onyx code.
-i <expr>:
  Evaluate initialization <expr>.
-f <file>:
  Evaluate initialization <file>.
-s <expr>:
  Call start with <expr>, rather than with the stdin file.